<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelPropertyClassTemplate Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelPropertyClassTemplate Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelPropertyClassTemplate" --><!-- doxytag: inherits="iBase" -->
<p>This is a property class template for an entity.  
 <a href="structiCelPropertyClassTemplate.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="entitytpl_8h_source.html">physicallayer/entitytpl.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelPropertyClassTemplate:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelPropertyClassTemplate.png" usemap="#iCelPropertyClassTemplate_map" alt=""/>
  <map id="iCelPropertyClassTemplate_map" name="iCelPropertyClassTemplate_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,164,24"/>
</map>
 </div></div>

<p><a href="structiCelPropertyClassTemplate-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#a268416c398135fd21b319aa2d7026b81">GetName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this property class.  <a href="#a268416c398135fd21b319aa2d7026b81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#a6fbc67be394ba9f9f97587abd25e8b34">GetTag</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the tag of this property class or return 0 if there is no tag.  <a href="#a6fbc67be394ba9f9f97587abd25e8b34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#a3cb921a9955f02448c7ceb79e394aa9c">PerformAction</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> actionID, <a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Perform an action with a generic parameter list.  <a href="#a3cb921a9955f02448c7ceb79e394aa9c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#a38e9716d2b02a6bef28e2988d8356821">SetName</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of this property class.  <a href="#a38e9716d2b02a6bef28e2988d8356821"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#a0db2427faa00c60b8c371e632828afd7">SetProperty</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> propertyID, long value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a generic property.  <a href="#a0db2427faa00c60b8c371e632828afd7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#af374a82356808d949ef5a6942838137d">SetProperty</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> propertyID, float value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a generic property.  <a href="#af374a82356808d949ef5a6942838137d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#a150d0eb7979b3f0f1f1bf97d7c4a8b6d">SetProperty</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> propertyID, bool value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a generic property.  <a href="#a150d0eb7979b3f0f1f1bf97d7c4a8b6d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#a69ae9f7981a798daef68cd687acb8b02">SetProperty</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> propertyID, const char *value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a generic property.  <a href="#a69ae9f7981a798daef68cd687acb8b02"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#a52d041b9664f26c115366cd6c8357b1f">SetProperty</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> propertyID, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a> &amp;value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a generic property.  <a href="#a52d041b9664f26c115366cd6c8357b1f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#a861a745e823951525c3af1a7fc6fac94">SetProperty</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> propertyID, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a generic property.  <a href="#a861a745e823951525c3af1a7fc6fac94"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#a9c2caadb6f2bab2d52110554fbca1e1f">SetProperty</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> propertyID, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a generic property.  <a href="#a9c2caadb6f2bab2d52110554fbca1e1f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#a1e0d30f4218c97fbeb5b68fbaeea29d7">SetProperty</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> propertyID, <a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a generic property.  <a href="#a1e0d30f4218c97fbeb5b68fbaeea29d7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#ac64bc4be234f327eea5c884fa65b9dda">SetProperty</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> propertyID, <a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a generic property.  <a href="#ac64bc4be234f327eea5c884fa65b9dda"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#a1fc047ea3b4ffd5b7648ceecc844106c">SetPropertyVariable</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> propertyID, celDataType type, const char *varname)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a property with variables instead of a predefined value.  <a href="#a1fc047ea3b4ffd5b7648ceecc844106c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPropertyClassTemplate.html#a4945212278c4b8b9636467eb16f627a9">SetTag</a> (const char *tagname)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the optional tag of this property class.  <a href="#a4945212278c4b8b9636467eb16f627a9"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a property class template for an entity. </p>
<p>A property class describe physical attributes of an entity. </p>

<p>Definition at line <a class="el" href="entitytpl_8h_source.html#l00120">120</a> of file <a class="el" href="entitytpl_8h_source.html">entitytpl.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a268416c398135fd21b319aa2d7026b81"></a><!-- doxytag: member="iCelPropertyClassTemplate::GetName" ref="a268416c398135fd21b319aa2d7026b81" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelPropertyClassTemplate.html#a268416c398135fd21b319aa2d7026b81">iCelPropertyClassTemplate::GetName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this property class. </p>

</div>
</div>
<a class="anchor" id="a6fbc67be394ba9f9f97587abd25e8b34"></a><!-- doxytag: member="iCelPropertyClassTemplate::GetTag" ref="a6fbc67be394ba9f9f97587abd25e8b34" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelPropertyClassTemplate.html#a6fbc67be394ba9f9f97587abd25e8b34">iCelPropertyClassTemplate::GetTag</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the tag of this property class or return 0 if there is no tag. </p>

</div>
</div>
<a class="anchor" id="a3cb921a9955f02448c7ceb79e394aa9c"></a><!-- doxytag: member="iCelPropertyClassTemplate::PerformAction" ref="a3cb921a9955f02448c7ceb79e394aa9c" args="(csStringID actionID, iCelParameterBlock *params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPropertyClassTemplate.html#a3cb921a9955f02448c7ceb79e394aa9c">iCelPropertyClassTemplate::PerformAction</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>actionID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Perform an action with a generic parameter list. </p>
<p>The parameters here support CEL_DATA_PARAMETER. </p>

</div>
</div>
<a class="anchor" id="a38e9716d2b02a6bef28e2988d8356821"></a><!-- doxytag: member="iCelPropertyClassTemplate::SetName" ref="a38e9716d2b02a6bef28e2988d8356821" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPropertyClassTemplate.html#a38e9716d2b02a6bef28e2988d8356821">iCelPropertyClassTemplate::SetName</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of this property class. </p>

</div>
</div>
<a class="anchor" id="a0db2427faa00c60b8c371e632828afd7"></a><!-- doxytag: member="iCelPropertyClassTemplate::SetProperty" ref="a0db2427faa00c60b8c371e632828afd7" args="(csStringID propertyID, long value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPropertyClassTemplate.html#a0db2427faa00c60b8c371e632828afd7">iCelPropertyClassTemplate::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>propertyID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a generic property. </p>
<p>In order to make it easier to access properties in a property class from general scripting languages this generic interface to properties is provided. It is always faster and more efficient to set properties directly but this system is usable in general.</p>
<p>This function returns false if the property could not be set for some reason.</p>
<p>The physical layer maintains a registry of ID's to use. </p>

</div>
</div>
<a class="anchor" id="af374a82356808d949ef5a6942838137d"></a><!-- doxytag: member="iCelPropertyClassTemplate::SetProperty" ref="af374a82356808d949ef5a6942838137d" args="(csStringID propertyID, float value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPropertyClassTemplate.html#a0db2427faa00c60b8c371e632828afd7">iCelPropertyClassTemplate::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>propertyID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a generic property. </p>

</div>
</div>
<a class="anchor" id="a150d0eb7979b3f0f1f1bf97d7c4a8b6d"></a><!-- doxytag: member="iCelPropertyClassTemplate::SetProperty" ref="a150d0eb7979b3f0f1f1bf97d7c4a8b6d" args="(csStringID propertyID, bool value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPropertyClassTemplate.html#a0db2427faa00c60b8c371e632828afd7">iCelPropertyClassTemplate::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>propertyID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a generic property. </p>

</div>
</div>
<a class="anchor" id="a69ae9f7981a798daef68cd687acb8b02"></a><!-- doxytag: member="iCelPropertyClassTemplate::SetProperty" ref="a69ae9f7981a798daef68cd687acb8b02" args="(csStringID propertyID, const char *value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPropertyClassTemplate.html#a0db2427faa00c60b8c371e632828afd7">iCelPropertyClassTemplate::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>propertyID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a generic property. </p>

</div>
</div>
<a class="anchor" id="a52d041b9664f26c115366cd6c8357b1f"></a><!-- doxytag: member="iCelPropertyClassTemplate::SetProperty" ref="a52d041b9664f26c115366cd6c8357b1f" args="(csStringID propertyID, const csVector2 &amp;value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPropertyClassTemplate.html#a0db2427faa00c60b8c371e632828afd7">iCelPropertyClassTemplate::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>propertyID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a generic property. </p>

</div>
</div>
<a class="anchor" id="a861a745e823951525c3af1a7fc6fac94"></a><!-- doxytag: member="iCelPropertyClassTemplate::SetProperty" ref="a861a745e823951525c3af1a7fc6fac94" args="(csStringID propertyID, const csVector3 &amp;value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPropertyClassTemplate.html#a0db2427faa00c60b8c371e632828afd7">iCelPropertyClassTemplate::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>propertyID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a generic property. </p>

</div>
</div>
<a class="anchor" id="a9c2caadb6f2bab2d52110554fbca1e1f"></a><!-- doxytag: member="iCelPropertyClassTemplate::SetProperty" ref="a9c2caadb6f2bab2d52110554fbca1e1f" args="(csStringID propertyID, const csColor &amp;value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPropertyClassTemplate.html#a0db2427faa00c60b8c371e632828afd7">iCelPropertyClassTemplate::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>propertyID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a generic property. </p>

</div>
</div>
<a class="anchor" id="a1e0d30f4218c97fbeb5b68fbaeea29d7"></a><!-- doxytag: member="iCelPropertyClassTemplate::SetProperty" ref="a1e0d30f4218c97fbeb5b68fbaeea29d7" args="(csStringID propertyID, iCelPropertyClass *value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPropertyClassTemplate.html#a0db2427faa00c60b8c371e632828afd7">iCelPropertyClassTemplate::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>propertyID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a generic property. </p>

</div>
</div>
<a class="anchor" id="ac64bc4be234f327eea5c884fa65b9dda"></a><!-- doxytag: member="iCelPropertyClassTemplate::SetProperty" ref="ac64bc4be234f327eea5c884fa65b9dda" args="(csStringID propertyID, iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPropertyClassTemplate.html#a0db2427faa00c60b8c371e632828afd7">iCelPropertyClassTemplate::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>propertyID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a generic property. </p>

</div>
</div>
<a class="anchor" id="a1fc047ea3b4ffd5b7648ceecc844106c"></a><!-- doxytag: member="iCelPropertyClassTemplate::SetPropertyVariable" ref="a1fc047ea3b4ffd5b7648ceecc844106c" args="(csStringID propertyID, celDataType type, const char *varname)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPropertyClassTemplate.html#a1fc047ea3b4ffd5b7648ceecc844106c">iCelPropertyClassTemplate::SetPropertyVariable</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>propertyID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">celDataType&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>varname</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a property with variables instead of a predefined value. </p>
<p>This uses CEL_DATA_PARAMETER. </p>

</div>
</div>
<a class="anchor" id="a4945212278c4b8b9636467eb16f627a9"></a><!-- doxytag: member="iCelPropertyClassTemplate::SetTag" ref="a4945212278c4b8b9636467eb16f627a9" args="(const char *tagname)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPropertyClassTemplate.html#a4945212278c4b8b9636467eb16f627a9">iCelPropertyClassTemplate::SetTag</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tagname</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the optional tag of this property class. </p>
<p>Multiple property classes of the same type (same name) can be attached to the same entity. To do that you need to add a tag so that you can uniquely identify them. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>physicallayer/<a class="el" href="entitytpl_8h_source.html">entitytpl.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
